package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Rides;
import com.realnet.taxi_rental.Services.RidesService ;


















@RequestMapping(value = "/token/Rides")
 @CrossOrigin("*") 
@RestController
public class tokenFree_RidesController {
	@Autowired
	private RidesService Service;

@Value("${projectPath}")
	private String projectPath;
 


















	@PostMapping("/Rides")
		  public Rides Savedata(@RequestBody Rides data) {
		Rides save = Service.Savedata(data)	;

















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Rides/{id}")
	public  Rides update(@RequestBody Rides data,@PathVariable Integer id ) {
		Rides update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Rides/getall/page")
	public Page<Rides> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Rides> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Rides")
	public List<Rides> getdetails() {
		 List<Rides> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Rides")
	public List<Rides> getallwioutsec() {
		 List<Rides> get = Service.getdetails();		
		return get;
}
@GetMapping("/Rides/{id}")
	public  Rides  getdetailsbyId(@PathVariable Integer id ) {
		Rides  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Rides/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



















}